Workspace
List workspace custom targets
List all workspace-level custom targets. These are shared across all applications in the workspace that use the target's platform. Requires workspace:read scope.
GET
/workspace/custom-targetsAuthorization
bearerAuth AuthorizationBearer <token>
API key. Bearer authentication header of the form Bearer <token>, where <token> is your Workspace or Application API key.
In: header
Response Body
application/json
application/json
application/json
curl -X GET "https://example.comworkspace/custom-targets" \ -H "Authorization: Bearer YOUR_API_KEY"{ "message": "Workspace custom targets retrieved successfully.", "data": [ { "id": "550e8400-e29b-41d4-a716-446655440010", "name": "Samsung Galaxy Store", "description": "Builds distributed via Samsung Galaxy Store", "level": "workspace", "platform": { "identifier": "android", "name": "Android" }, "icon_url": null, "created_at": "2025-06-10T09:15:00.000000Z", "updated_at": "2025-06-15T14:30:00.000000Z" } ]}{ "message": "Unauthorized"}{ "message": "This action requires 'resource:action' scope."}